/*****************************************************************************/
/* File name: Constants.java                                                 */
/* Purpose: general constants implenmented as an interface                   */
/*                                                                           */
/* Last modified: 03.12.98                                                   */
/* Author: Victor Klimov, 1998                                               */
/* For the list of authors and contributors of the original C version        */
/* of the GNU tar see files AUTHORS and THANKS                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package general;


public
interface

Constants

{

  /* $Header: /d/JTAR03/general/RCS/Constants.java,v 1.3 1998/12/10 20:39:31 root Exp $ */

  final static int JAVA_ERROR_CODE = -1;
  final static int CURRENT_DIRECTORY_ABBREVIATION = '.';

  final static byte NULL_CHAR = '\0';
  final static byte NULL_BYTE = (byte) NULL_CHAR;

  static final String TO_STRING_CLASS_SEPARATOR_STRING = ":";
  static final String TO_STRING_FIELD_SEPARATOR_STRING = "\n";
  static final String TO_STRING_FIELD_DESIGNATOR_STRING = "=";

  static final String SYSTEM_PROPERTY_KEY_LINE_SEP = "line.separator";

} /*end of Constants */

/*****************************************************************************/
/* End of file: Constants.java                                               */
/*****************************************************************************/
